
> 让工业控制变得简单智能

## 公司介绍

**秒控科技（MCP Tech）** 是专注于工业自动化控制领域的技术创新企业，秉承_"让控制变得简单"_的核心宗旨，致力于通过AI技术重构传统工业控制场景。

### 核心优势
- 🚀 **AI驱动控制** - 实现触摸屏内容的智能操控
- ⚡ **毫秒级响应** - PLC开关控制延迟<50ms
- 🔐 **工业级安全** - 双向认证加密通信协议
- 🧠 **自学习系统** - 设备行为模式智能分析

## 功能概览

| 功能模块         | 能力描述                          | 典型场景                 |
|------------------|-----------------------------------|--------------------------|
| 设备认证         | 密钥管理与设备绑定                | 新设备部署               |
| 实时数据流       | 毫秒级采集设备状态                | 生产线监控               |
| 智能控制         | 基于NLP解析控制指令               | 语音操控工业机器人        |
| 历史追溯         | 支持最长10年数据存储             | 质量事故回溯             |


# MCP硬件控制服务
**Version**: 1.0.2 (Beta)
**对接硬件厂商**: 秒控科技（[www.wsdxyz.cn](http://www.wsdxyz.cn)）

---

## 目的
通过标准化控制协议（MCP）实现对秒控科技硬件设备的远程操控，主要功能包括：
- 触摸屏可视化界面控制
- PLC开关控制器指令执行
- 设备操作数据追溯

---

## 支持范围
### 设备类型
| 设备类型           | 固件版本要求  | 协议支持       |
|--------------------|---------------|----------------|
| 秒控触摸屏         | V2.3+         | MCP/WebSocket  |
| 秒控PLC开关控制器  | V1.7+         | Modbus RTU     |

### 功能矩阵
#### 触摸屏操作
```plaintext
✅ 切换屏幕页面（通过ScreenID）
✅ 输入数值型控件数据（范围校验）
✅ 输入字符串型控件（长度≤128字符）
✅ 获取当前屏幕控件状态
⏳ 多语言切换（开发中）
```

#### PLC开关控制器操作
```plaintext
✅ 执行预设动作序列（需预编程）
✅ 实时读取端口状态（DI/DO）
✅ 获取设备动作日志（时间倒序）
✅ 发送Modbus指令（04/06功能码）
⏳ 自定义动作编排（开发中）
```

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)


